Subject: Re: bug#18398: Probably found a bug in grep
From: Paul Eggert <[email-masked]>
To: "Bergen, Andreas" <[email-masked]>, [email-masked]
Date: Wed, 03 Sep 2014 13:15:19 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Bergen, Andreas wrote:
> Version     : 2.5.1a

Thanks for the report.  As shown below, I can't reproduce the bug with 
grep 2.20 (the current version) in either the en_US.utf8 or the 
de_DE.utf8 locales.  grep 2.5.1a is pretty old (dated 2004) and several 
bugs have been fixed in this area in the last ten years, so I suggest 
upgrading and I'm taking the liberty of marking this as done.

$ cat testfile
A
Ä
$ grep -F -eÄ -eA testfile
A
Ä
$ grep -i -eÄ -eA testfile
A
Ä
$ grep -iF -eÄ -eA testfile
A
Ä